// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AspNet.Deployment {
    
    
    public partial class WebDeployOptionsPanelWidget {
        
        private Gtk.HBox hbox1;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TreeView targetView;
        
        private Gtk.VBox vbox2;
        
        private Gtk.Button addButton;
        
        private Gtk.Button editButton;
        
        private Gtk.Button removeButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget";
            // Container child MonoDevelop.AspNet.Deployment.WebDeployOptionsPanelWidget.Gtk.Container+ContainerChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            this.targetView = new Gtk.TreeView();
            this.targetView.CanFocus = true;
            this.targetView.Name = "targetView";
            this.scrolledwindow1.Add(this.targetView);
            this.hbox1.Add(this.scrolledwindow1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.scrolledwindow1]));
            w2.Position = 0;
            // Container child hbox1.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.addButton = new Gtk.Button();
            this.addButton.CanFocus = true;
            this.addButton.Name = "addButton";
            this.addButton.UseStock = true;
            this.addButton.UseUnderline = true;
            this.addButton.Label = "gtk-add";
            this.vbox2.Add(this.addButton);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox2[this.addButton]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.editButton = new Gtk.Button();
            this.editButton.CanFocus = true;
            this.editButton.Name = "editButton";
            this.editButton.UseStock = true;
            this.editButton.UseUnderline = true;
            this.editButton.Label = "gtk-edit";
            this.vbox2.Add(this.editButton);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.editButton]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.removeButton = new Gtk.Button();
            this.removeButton.CanFocus = true;
            this.removeButton.Name = "removeButton";
            this.removeButton.UseStock = true;
            this.removeButton.UseUnderline = true;
            this.removeButton.Label = "gtk-remove";
            this.vbox2.Add(this.removeButton);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox2[this.removeButton]));
            w5.Position = 2;
            w5.Expand = false;
            w5.Fill = false;
            this.hbox1.Add(this.vbox2);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox1[this.vbox2]));
            w6.Position = 1;
            w6.Expand = false;
            w6.Fill = false;
            this.Add(this.hbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.addButton.Activated += new System.EventHandler(this.AddActivated);
            this.addButton.Clicked += new System.EventHandler(this.AddActivated);
            this.editButton.Activated += new System.EventHandler(this.EditActivated);
            this.editButton.Clicked += new System.EventHandler(this.EditActivated);
            this.removeButton.Activated += new System.EventHandler(this.RemoveActivated);
            this.removeButton.Clicked += new System.EventHandler(this.RemoveActivated);
        }
    }
}
